<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Столовая'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo "<div class='gend'>";
echo'Здарова, '.$user['nick'].'!<br/>';
echo'У тебя '.$user['gorod_life'].'% здоровья<br/></div>';

$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='eda' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Нечего кушать!<br/>';}else{
while($row=mysql_fetch_assoc($x)){
echo '<a href="eda.php?action=eda&amp;id='.$row['id'].'">Сожрать '.$row['name'].'-></a> '.$row['life'].' здоровя!<br/>';



};
};
echo'<br/><div class="page_foot">  - <a href="zdorov.php">Охота\Рыбалка</a><br/></div>';
break;


case 'eda':
$id=(int)$_GET['id'];

if(!$id){echo 'Пустые параметры!';break;}
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Такого предмета не существует!';break;};
$item=mysql_fetch_assoc($x);

if($item['type']!='eda'){echo 'Этот предмет нельзя хавать!';break;};
$new=$user['gorod_life']+$item['life'];
$new=($new>100) ? 100 : $new;
mysql_query("UPDATE `user` SET `gorod_life`='$new' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."' LIMIT 1");



echo '<div class="page_foot"> - <a href="eda.php">Удачно! Похавать ещо?</a></div>';

break;




};
echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>